preinst is in python3 3.5.1-3.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 | #! /bin/sh
set -e
# remove the python3 alternatives before installing our own python3 link
update-alternatives --auto /usr/bin/python3 >/dev/null 2>&1 || true
[ -L /usr/share/doc/python3/html ] || rm -rf /usr/share/doc/python3/html
case "$1" in
upgrade)
oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
echo "running python pre-rtupdate hooks for python3.5..."
fi
for hook in /usr/share/python3/runtime.d/*.rtupdate; do
[ -x $hook ] || continue
if ! $hook pre-rtupdate python$oldv python3.5; then
hb=$(basename $hook .rtupdate)
echo >&2 "error running python pre-rtupdate hook $hb"
echo >&2 "running python failed-pre-rtupdate hook $hb"
$hook failed-pre-rtupdate python$oldv python3.5
errors=yes
break
fi
done
[ -z "$errors" ] || exit 3
esac
|